httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "MATHIHALLI,MADHUSUDAN (HP-Cupertino,ex1)" <madhusudan_mathiha...@hp.com>
Subject RE: [Patch] for config.guess
Date Sun, 22 Jul 2001 22:05:49 GMT
The reason I didn't send out the patch for those 2 config.guess files is
that I don't see them as CVS elements. I guess the autoconf/buildconf script
either generates them or copies over from some place.

As regards whether we can modify the MM library, I'm not sure of it either.

Thanks,
-Madhu


-----Original Message-----
From: Justin Erenkrantz [mailto:jerenkrantz@ebuilt.com]
Sent: Sunday, July 22, 2001 2:54 PM
To: new-httpd@apache.org
Subject: Re: [Patch] for config.guess


On Sun, Jul 22, 2001 at 05:35:36PM -0400, MATHIHALLI,MADHUSUDAN
(HP-Cupertino,ex1) wrote:
> Hi,
> Here's the patch that enables Apache 2.0 on HP-UX/Itanium platform. The
> patch is to modify config.guess in order to identify HP-UX operating
system
> on Itanium. The patch contains modifications for the following:
> 
> $APACHE_BASE/srclib/pcre/config.guess
> $APACHE_BASE/srclib/apr/build/config.guess
> $APACHE_BASE/srclib/apr/shmem/unix/mm/config.guess
> 
> Pl. let me know if I need to update any other files to achieve the same.

I also see:

./srclib/apr-util/build/config.guess
./srclib/apr-util/xml/expat/conftools/config.guess

They appear to require an update as well.

The big question I have is whether we can modify the MM library.  I
know Ralf owns the copyright to it, but my impression from previous
posts (see Roy and Mo's posts) is that there is some reluctance to
modify anything in MM.  I'm not real clear on this at all.  He seems 
to have an Apache-style license on it.  If someone (Ralf?) can 
enlighten me on this, I'd really appreciate it.  I'm just confused 
as I probably haven't been around long enough to know the history.

If we can modify MM, then we should probably also apply Mo DeJong's 
patches to allow autoconf 2.50/libtool 1.4 usage (not require it,
but allow developers to use the newer versions).  -- justin

Mime
View raw message